/* шрифты */

@font-face {
    font-family: 'Caveat Bold';
    src: url('/assets/website/fonts/Caveat/Caveat-Bold.ttf');
    font-style: normal;
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat Regular';
    src: url('/assets/website/fonts/Montserrat/Montserrat-Regular.ttf');
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: 'Montserrat Bold';
    src: url('/assets/website/fonts/Montserrat/Montserrat-Bold.ttf');
    font-style: normal;
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: 'Klyakson';
    src: url('/assets/website/fonts/Klyakson/Klyakson.otf');
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

:root {
    --plyr-color-main: #5593E6;
}

html, body {
    height: 100%;
}

body.lock {
    overflow: hidden;
}

noscript {
    position: absolute;
    top: 0;
    width: 100%;
}

noscript .noscript-block {
    border: none;
    padding: 20px;
    z-index: 99999999999;
    position: relative;
    background-color: #FFD845;
    text-align: center;
    font-size: 24px;
}

noscript .noscript-block a {
    text-decoration: underline !important;
}

/* анимация ленивой загрузки изображений */
@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

a:focus,
button:focus {
    -webkit-user-select: none !important;
    -khtml-user-select: none !important;
    -moz-user-select: none !important;
    -ms-user-select: none !important;
    user-select: none !important;
    outline: none !important;
    box-shadow: none !important;
}

.lazy,
.lazy-bg {
    opacity: 0;
}

.lazy.loaded,
.lazy-bg.loaded {
    animation: fadeIn 0.3s ease forwards;
}

.ui-helper-hidden-accessible{
    display: none !important;
}

.wrapper * {
    font-family: 'Сaveat Bold', serif;
}

.wrapper {
    position: absolute;
    width: 100%;
    height: auto;
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    min-height: 100%;
    background-image: url('/assets/mult-magic-partners/img/fon.jpg');
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;
}

/* кнопки */

.btn {
    font-family: 'Klyakson', serif !important;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 24px;
    outline: 0;
    border: none;
    transform: scale(0.9);
    transition: 0.2s all ease-out;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: transparent;
}

.btn:hover,
.btn:focus {
    transform: scale(1);
    color: #fff;
}

.btn.save {
    width: 300px;
    height: 85px;
    margin: 30px auto 0;
}

.btn.share {
    width: 300px;
    height: 60px;
    margin: 15px auto 30px;
}

.btn.order {
    width: 300px;
    height: 51px;
    margin: 20px auto 0;
}

/* страница */

.congratulation {
    color: #fff;
    text-align: center;
    font-family: 'Klyakson', sans-serif;
    margin: 20px auto;
    font-size: 50px;
    line-height: 56px;
    transform: rotate(-5deg);
    max-width: 500px;
}

.video {
    width: 100%;
    height: 100%;
    max-width: 320px;
    margin: 0 auto;
}

.video .plyr {
    border-radius: 20px;
    min-width: 170px;
    background-color: transparent !important;
    border: 5px solid #fff;
    width: 100% !important;
    height: auto !important;
}

.video .plyr__video-wrapper {
    width: 100% !important;
    height: auto !important;
    background-color: transparent !important;
}

/* Фолбэк для Safari */

.video .plyr__video-wrapper--fixed-ratio {
    position: relative !important;
    width: 100% !important;
    height: 0 !important;
    padding-top: 177.78% !important; /* 9/16 = 56.25% * 100 = 177.78% */
}

.video .plyr__video-wrapper--fixed-ratio video {
    position: absolute !important;
    top: 0 !important;
    left: 0 !important;
    width: 100% !important;
    height: 100% !important;
}

.video .plyr button,
.video .plyr button:hover {
    background-color: unset;
    background-image: url('/assets/mult-magic/img/play_button.png');
    width: 80px;
    height: 80px;
    background-size: contain;
}

.video .plyr__control svg {
    display: none;
}

.video .plyr__poster {
    background-color: transparent !important;
}

.block {
    background-image: url("/assets/mult-magic-partners/img/podlozhka.png");
    width: 850px;
    height: 600px;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-size: contain;
    background-repeat: no-repeat;
}

.block .title {
    color: #00ACB8;
    text-transform: uppercase;
    font-family: 'Klyakson', sans-serif;
    font-size: 36px;
    text-align: center;
    line-height: 44px;
    margin: 40px auto 20px;
}

.block .info {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.block .discount {
    width: 300px;
    height: 157px;
    font-family: 'Klyakson', sans-serif;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: 28px;
    line-height: 36px;
    background-size: contain;
    text-align: center;
}

.block .discount b {
    font-family: 'Klyakson', sans-serif;
}

.block .promocode {
    width: 231px;
    height: 205px;
    font-family: 'Montserrat Bold', sans-serif;
    color: #EF642D;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 28px;
    background-size: contain;
    line-height: 36px;
    padding-bottom: 70px;
}

/* подвал */

footer {
    width: 100%;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

footer .links {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 30px;
    margin: 50px auto 60px;
}

footer .plusmedia {
    width: 82px;
    height: 80px;
    display: block;
    background-size: contain;
    background-repeat: no-repeat;
}

footer .multmagic {
    width: 170px;
    height: 80px;
    display: block;
    background-size: contain;
    background-repeat: no-repeat;
}

.copy-notification {
    font-family: 'Montserrat Regular', sans-serif;
    background-color: rgba(0,0,0,0.8);
    border-radius: 30px;
    width: 50%;
    text-align: center;
    font-size: 14px;
    top: 50%;
    bottom: 50%;
    height: 100%;
    color: #fff;
    position: absolute;
    margin: 0 auto;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    max-width: 500px;
    max-height: 100px;
}

@media screen and (min-width: 768px) and (max-width: 979px) {
    noscript .noscript-block {
        font-size: 20px;
    }

    .block {
        width: 760px;
        height: 537px;
    }
}

@media screen and (min-width: 582px) and (max-width: 767px) {
    .block {
        width: 560px;
        height: 567px;
        background-image: url("/assets/mult-magic-partners/img/podlozhka_m.png");
    }
}

@media screen and (min-width: 320px) and (max-width: 581px)  {
    noscript .noscript-block {
        font-size: 14px;
    }

    .btn {
        font-size: 20px;
    }

    .btn.save {
        width: 250px;
        height: 70px;
        margin: 20px auto 0;
    }

    .btn.share {
        width: 250px;
        height: 50px;
        margin: 10px auto 20px;
    }

    .btn.order {
        width: 250px;
        height: 43px;
        margin: 20px auto 30px;
    }

    .wrapper {
        background-image: url('/assets/mult-magic-partners/img/fon_m.jpg');
    }

    .congratulation {
        font-size: 36px;
        line-height: 44px;
        max-width: 300px;
    }

    .video {
        max-width: 240px;
    }

    .video .plyr {
        width: 240px;
        margin: 0 auto;
    }

    .video .plyr__video-wrapper {
        width: 230px;
        height: 409px;
    }

    .block {
        width: 300px;
        height: 304px;
        background-image: url("/assets/mult-magic-partners/img/podlozhka_m.png");
    }

    .block .title {
        font-size: 14px;
        line-height: 20px;
        margin: 40px auto 10px;
    }

    .block .discount {
        width: 150px;
        height: 78px;
        font-size: 14px;
        line-height: 20px;
    }

    .block .promocode {
        width: 112px;
        height: 100px;
        font-size: 20px;
        line-height: 40px;
        padding-bottom: 35px;
    }

    footer .plusmedia {
        width: 65px;
        height: 64px;
    }

    footer .multmagic {
        width: 136px;
        height: 64px;
    }
}
